<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Awards
| Author: Flyingduck / http://flyingduck.dk/
| Angepasst an v7: ObiWan / http:/www.futigo.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("AW") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

include INFUSIONS."awards/infusion_db.php";
if (file_exists(INFUSIONS."awards/locale/".$settings['locale'].".php")) {
	include INFUSIONS."awards/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."awards/locale/English.php";
}

if (isset($_GET['delete']) && isnum($_GET['delete'])) {
	$result = dbquery("DELETE FROM ".DB_AWARD." WHERE award_id='".$_GET['delete']."'");
	redirect(FUSION_SELF.$aidlink);
} elseif (isset($_POST['add'])){
	$result = dbquery("INSERT INTO ".DB_AWARD." VALUES('', '".(isnum($_POST['award_user']) ? $_POST['award_user'] : 0)."', '".stripinput($_POST['award_img'])."', '".stripinput($_POST['award_info'])."')");
	redirect(FUSION_SELF.$aidlink);
} else {
	opentable($locale['aw101']);
	echo "<form action='".FUSION_SELF.$aidlink."' method='post'>";
	echo "<table><tr>";
	echo "<td>".$locale['aw104']."</td><td> <select name='award_user' class='textbox'>";
	$user_list = ""; $user_types = ""; $sel = "";
	$result = dbquery("SELECT u.user_id, u.user_name FROM ".DB_USERS." u ORDER BY user_level DESC, user_name ASC");
	while ($data = dbarray($result)) {
		//$sel = ($msg_send == $data['user_id'] ? " selected" : "");
		$user_list .= "<option value='".$data['user_id']."'".$sel.">".$data['user_name']."</option>\n";
	}
	echo $user_list;
	echo "</select></td></tr><tr>";
	echo "<td>".$locale['aw105']."</td><td> <select name='award_img' class='textbox'>";
	$image_files = makefilelist(INFUSIONS."awards/images/awards/", ".|..|index.php", true);
	$image_list = makefileopts($image_files);
	echo $image_list;
	echo "</select></td></tr><tr>";
	echo "<td>".$locale['aw106']."</td><td> <input type='text' name='award_info' class='textbox'></td></tr>";
	echo "<tr><td colspan='2' align='center'><input type='submit' name='add' value='OK' class='button'></td></tr></table></form>";
}
echo "<br /><br /><br />";

$result = dbquery("SELECT * FROM ".DB_AWARD."");
echo "<table cellpadding='0' cellspacing='1' width='500' class='tbl-border'><tr><td class='tbl2'><b>".$locale['aw108']."</b></td>";
echo "<td class='tbl2'><b>".$locale['aw109']."</b></td>";
echo "<td class='tbl2'><b>".$locale['aw110']."</b></td>";
echo "<td class='tbl2'><b>".$locale['aw111']."</b></td></tr>";
while($data = dbarray($result)){
	if($data['award_user']){
		echo "<tr><td>".$data['award_user']."</td>";
		echo "<td>".$data['award_img']."</td>";
		echo "<td>".$data['award_info']."</td>";
		echo "<td><a href='".FUSION_SELF.$aidlink."&amp;delete=".$data['award_id']."'>".$locale['aw112']."</a></td></tr>";
	}
}
echo "</table>";
closetable();

require_once THEMES."templates/footer.php";
?>
