<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Awards
| Author: Flyingduck / http://flyingduck.dk/
| Angepasst an v7: ObiWan / http:/www.futigo.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

include INFUSIONS."awards/infusion_db.php";
if (file_exists(INFUSIONS."awards/locale/".$settings['locale'].".php")) {
	include INFUSIONS."awards/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."awards/locale/English.php";
}

$inf_title = $locale['awtitle'];
$inf_description = $locale['awdesc'];
$inf_version = "1.0";
$inf_developer = "Flyingduck | v7-Version ObiWan";
$inf_email = "info@futigo.de";
$inf_weburl = "http://futigo.de";
$inf_folder = "awards";

$inf_newtable[1] = DB_AWARD." (
award_id 		mediumint(7) unsigned NOT NULL auto_increment,
award_user 		mediumint(7) NOT NULL default '0',
award_img 		varchar(200) NOT NULL default '',
award_info 		varchar(200) NOT NULL default '',
PRIMARY KEY  (award_id)
) ENGINE=MyISAM;";

$inf_droptable[1] = DB_AWARD;

$inf_adminpanel[1] = array(
	"title" => $inf_title,
	"image" => "infusion_awards.gif",
	"panel" => "admin.php",
	"rights" => "AW"
);
?>
